# port

Starts a RELP server instance that listens on the specified TCP port.

This parameter applies to imrelp: RELP Input Module.

Name:

  port

Scope:

  input

Type:

  string

Default:

  input=none

Required?:

  yes

Introduced:

  Not documented

## Description

Starts a RELP server on the selected port.

## Input usage

    input(type="imrelp" port="2514")

### Legacy names (for reference)

Historic names/directives for compatibility. Do not use in new configs.

- $InputRELPServerRun — maps to port (status: legacy)

## See also

See also imrelp: RELP Input Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.